<?php
/*------------------------------------------------------------------------
# News Show SP1 - News display module by JoomShaper.com
# ------------------------------------------------------------------------
# author    JoomShaper http://www.joomshaper.com
# Copyright (C) 2010 - 2012 JoomShaper.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.joomshaper.com 
-------------------------------------------------------------------------*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
?>
<div id="sp-news-show-<?php echo $uniqid; ?>">
<div class="sp-news-container<?php if ($links && $link_count!=0 && $link_pos=='right') echo " ns1-lft ns1-50" ?>">
	<?php for($i = 0;$i<$article_count;$i++){ ?>
		<div class="sp-news-item-row"> 
			<?php for ($ii=1; $ii<=$cols; $ii++,$i++) { ?>
				<div class="sp-news-item-column ns1-lft" style="width:<?php echo intval(round(100/$cols)); ?>%"> 
					<div style="padding:<?php echo $col_padding ?>">	
						<div class="sp-news-box <?php echo $i%2 ? 'ns1-even' : 'ns1-odd'; if ($i==0) echo ' ns1-first' ?>">
							<?php 
								if ($showimage && $imgpos=='top' && $list[$i]->image!='') {
									if ($linked_image) {
										echo '<a href="' . $list[$i]->link . '"><img class="sp-news-image" style="margin:' . $img_margin . '" src="' . $list[$i]->image . '" alt="' . $list[$i]->title . '" title="' . $list[$i]->title . '" width="' . $thumbwidth . '" height="' . $thumbheight . '" /></a>';
									} else {
										echo '<img class="sp-news-image" style="margin:' . $img_margin . '" src="' . $list[$i]->image . '" alt="' . $list[$i]->title . '" title="' . $list[$i]->title . '" width="' . $thumbwidth . '" height="' . $thumbheight . '" />';
									}
								}
								
								//Show Title		
								if ($showtitle) {
									if ($titlelinkable) {
										echo '<h4 class="sp-news-title"><a href="' . $list[$i]->link . '">' . $list[$i]->title . '</a></h4>';
									} else {
										echo '<h4 class="sp-news-title">' . $list[$i]->title . '</h4>';
									}
								}
								
								if ($showauthor	|| $showcat || $showdate) { 
									echo '<div class="sp-news-info">';
										if ($showauthor) {
											echo '<span class="sp-news-author">' . JText::_('WRITTEN') . ' ' . $list[$i]->author . '</span>';
										}
										if ($showcat) {
											if ($cat_link) {
												echo ' <span class="sp-news-category">' . JText::_('IN') . ' <a href="' . $list[$i]->categoryLink . '">' . $list[$i]->categoryname . '</a></span>';
											} else {
												echo ' <span class="sp-news-category">' . JText::_('IN') . ' ' . $list[$i]->categoryname . '</span>';
											}											
										}
										
										if ($showdate) {
											echo ' <span class="sp-news-date">' . JText::_('ON') . ' ' . $list[$i]->date . '</span>';										
										}
									echo '</div>';
								}
							

								if ($showimage && $imgpos!='top' && $list[$i]->image!='') {
									if ($linked_image) {
										echo '<a href="' . $list[$i]->link . '"><img class="sp-news-image" src="' . $list[$i]->image . '" alt="' . $list[$i]->title . '" title="' . $list[$i]->title . '" width="' . $thumbwidth . '" height="' . $thumbheight . '" style="float:' . $imgpos . ';margin:' . $img_margin . '" /></a>';
									} else {
										echo '<img class="sp-news-image" src="' . $list[$i]->image . '" alt="' . $list[$i]->title . '" title="' . $list[$i]->title . '" width="' . $thumbwidth . '" height="' . $thumbheight . '" style="float:' . $imgpos . ';margin:' . $img_margin . '" />';
									}	
								}
								
								if ($showdesc) {
									echo '<p class="sp-news-intro">' . $list[$i]->introtext . '</p>';								
								}
								
								if ($showreadmore || $showhits || $showcomments) {
									echo '<div class="extra-info">';
										if ($showcomments && $content_source=='k2') {
											echo '<span class="sp-news-comments"><a href="' . $list[$i]->link . '#itemCommentsAnchor">' . JText::_('COMMENTS_TEXT') . ' (' . ($list[$i]->comments>0 ?  $list[$i]->comments : '0') . ')</a></span>';
										}
									
										if ($showhits) {
											echo '<span class="sp-news-hits">' . JText::_('HITS_TEXT') . ':' . $list[$i]->hits . '</span>';
										}

										if ($showreadmore) {
											echo '<span class="sp-news-readon"><a href="' . $list[$i]->link . '">' . $readon_text . '</a></span>';
										}										
							
									echo '</div>';
								}	
							?>
							
							<!-- Extra Fields -->
							<?php if($content_source == 'k2'): ?>
								<?php if($itemExtraFields && count($list[$i]->extra_fields)): ?>
								  <div class="SPK2ExtraFields">
									  <b><?php echo JText::_('Additional Info'); ?></b>
									  <ul>
										<?php foreach ($list[$i]->extra_fields as $key=>$extraField): ?>
												<li class="type<?php echo ucfirst($extraField->type); ?> group<?php echo $extraField->group; ?> <?php echo strtolower($extraField->name) ?> <?php echo $key%2 ? 'even' : 'odd';?> <?php if ($key==0) echo 'first'; ?>">
													<span class="label"><?php echo $extraField->name; ?></span>
													<span class="value"><?php echo $extraField->value; ?></span>
													<div class="clr"></div>
												</li>
										<?php endforeach; ?>
									  </ul>
								  </div>
								<?php endif; ?>
							<?php endif; ?>	
						  
							<div style="clear:both"></div>
						</div>
					</div>
				</div>
			<?php } $i--; ?>
			<div style="clear:both"></div>
		</div>
	<?php } ?>	
</div>

<?php if ($link_count>0) { ?>
	<div class="sp-news-links<?php if ($links && $link_count!=0 && $link_pos=='right') echo " ns1-rgt ns1-50" ?>">
		<div style="padding:<?php echo $link_padding ?>">	
			<?php if ($more_text) { ?>
				<strong><?php echo  JText::_('MORE') . ':' ?></strong>
			<?php } ?>
			<ul>
				<?php for($i = $article_count;$i<$article_count+$link_count;$i++){ ?>	
					<li><a href="<?php echo $list[$i]->link; ?>"><?php echo $list[$i]->title; ?></a></li>
				<?php } ?>
			</ul>
				
		</div>
	</div>
<?php } ?>
</div>
<div style="clear:both"></div>
