<?php
/*---------------------------------------------------------------
# Package - Joomla Template based on Helix Framework   
# ---------------------------------------------------------------
# Template Name - Shaper Pheonix
# Template Version 1.0.0
# ---------------------------------------------------------------
# Author - JoomShaper http://www.joomshaper.com
# Copyright (C) 2010 - 2012 JoomShaper.com. All Rights Reserved.
# license - PHP files are licensed under  GNU/GPL V2
# license - CSS  - JS - IMAGE files  are Copyrighted material 
# Websites: http://www.joomshaper.com
-----------------------------------------------------------------*/
//no direct accees
defined ('_JEXEC') or die ('resticted aceess');
require_once(dirname(__FILE__).DS.'lib'.DS.'helix.php');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language;?>" >
<head>
	<?php
		$helix->loadHead();
		$helix->addCSS('template.css,joomla.css,custom.css,modules.css,typography.css,css3.css');
		if ($helix->getDirection() == 'rtl') $helix->addCSS('template_rtl.css');
		$helix->getStyle();
	?>
</head>
<?php $helix->addFeature('ie6warn'); ?>
<body class="bg clearfix">
<div style="position:absolute;top:0;left:-9999px;">
<a href="http://joomla4ever.ru/joomshaper/1259-js-pheonix.html" title="JS Pheonix - шаблон joomla" target="_blank">JS Pheonix - шаблон joomla</a>
<a href="http://studioactive.ru/" title="Создание сайтов" target="_blank">Создание сайтов</a>
</div>
	<div class="sp-wrap clearfix">
		<?php $helix->addFeature('toppanel'); ?>
		<div id="header" class="sp-inner clearfix">
			<?php $helix->addFeature('logo') /*--- Add logo ---*/?>	
			<?php $helix->addFeature('fontsizer') /*--- Font resizer ---*/?>	
			<?php if ($helix->countModules('search')) { /*--- Search Module ---*/?>
				<div id="search">
					<jdoc:include type="modules" name="search" />
				</div>
			<?php } ?>	
		</div>		
		<div class="sp-inner clearfix">
			<?php $helix->addFeature('hornav') /*-- main navigation--*/?>	
		</div>

		<?php if($helix->countModules('slides')) { /*--- Slideshow module ---*/?>	
			<div id="slides" class="sp-inner clearfix">
				<jdoc:include type="modules" name="slides" />			
			</div>				
		<?php } ?>	
	
		<?php if($mods= $helix->getModules('user1,user2,user3,user4,user5,user6')) { /*-- Module Position user1 to user6 --*/ ?>
			<div id="sp-userpos" class="clearfix">
				<div class="sp-inner">
					<?php $helix->renderModules($mods,'sp_xhtml');?>
				</div>
			</div>
		<?php } ?>

		<div class="clearfix">
			<?php $helix->loadLayout(); /*--mainbody layout--*/?>
		</div>

	<div class="sp-inner clearfix">	
	<?php if($mods= $helix->getModules('bottom1,bottom2,bottom3,bottom4,bottom5,bottom6')) { /*--Module Position bottom1 to bottom6--*/?>
		<div id="sp-bottom" class="clearfix">
			<?php $helix->renderModules($mods,'sp_flat','equal');?>
		</div>
		<?php $helix->fixHeight('equal') /*Equal height for 'equal' class*/?>
	<?php } ?>
	
	<?php if($helix->countModules('bottom-banner')) { /*--- position 'bottom-banner' ---*/?>	
		<div id="bottom-banner" class="clearfix">
			<jdoc:include type="modules" name="bottom-banner" />			
		</div>				
	<?php } ?>		
	
	<!--Footer-->
	<div id="sp-footer" class="clearfix">
		<div class="cp">
			<?php $helix->addFeature('copyright') /*--- Show copyright ---*/?>
			<?php $helix->addFeature('jcredit') /*--- Joomla credit link ---*/?>
			<?php $helix->addFeature('brand') /*--You are not allowed to remove or modify brand link. You need to purchase copyright removal license from http://www.joomshaper.com/copyright-removal-license in order to remove this link.--*/ ?>
			<?php $helix->addFeature('validator') /*--- CSS and XHTML validator ---*/?>
		</div>
		<?php $helix->addFeature('totop'); ?>		
		<?php if ($helix->countModules('footer-nav')) /*--- Module position footer-nav ---*/{ ?>
			<div id="footer-nav">
				<jdoc:include type="modules" name="footer-nav" />
			</div>
		<?php } ?>
		<div class="clr"></div>
		<?php $helix->addFeature('helixlogo'); /*--- Helix logo ---*/?>	
	</div>
	</div>
	</div>
		
	<?php $helix->addFeature('analytics'); /*--- Google analytics tracking code ---*/?>
	<?php $helix->addFeature('jquery'); /*--- Load jQuery library ---*/?>
	<?php $helix->addFeature('ieonly'); /*--- IE only Feature ---*/?>
	<?php $helix->compress(); /* --- Compress CSS and JS files --- */ ?>	
	<?php $helix->getFonts() /*--- Standard and Google Fonts ---*/?>	
	<jdoc:include type="modules" name="debug" />
</body>
</html>
